### org.jfree.layouting.renderer.text

# Class Glyph

- `java.lang.Object`
- - `org.jfree.layouting.renderer.text.Glyph`

`public final class Glyph`
`extends java.lang.Object`

A glyph represents a printable textual item. It can span more than one codepoint (if it is a compound glyph).

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `LETTER`

  `static int`

  `SPACE_CHAR`

  ## Constructor Summary

  `Glyph(int codepoint, int breakWeight, int classification, Spacing spacing, int width, int height, int baseLine, int kerning, int[] extraChars)`

  ## Method Summary

  `boolean`

  `equals(Object o)`

  `int`

  `getBaseLine()`

  `int`

  `getBreakWeight()`

  `int`

  `getClassification()`

  `int`

  `getCodepoint()`

  `int[]`

  `getExtraChars()`

  `int`

  `getHeight()`

  `int`

  `getKerning()`

  `Spacing`

  `getSpacing()`

  `int`

  `getWidth()`

  `int`

  `hashCode()`

  `String`

  `toString()`

## Field Details

### LETTER

    public static final int LETTER

> Field Value:
>   1

### SPACE_CHAR

    public static final int SPACE_CHAR

> Field Value:
>   0

## Constructor Details

### Glyph

    public Glyph(int codepoint,
                 int breakWeight,
                 int classification,
                 Spacing spacing,
                 int width,
                 int height,
                 int baseLine,
                 int kerning,
                 int[] extraChars)

## Method Details

### equals

    public boolean equals(Object o)

### getBaseLine

    public int getBaseLine()

### getBreakWeight

    public int getBreakWeight()

### getClassification

    public int getClassification()

### getCodepoint

    public int getCodepoint()

### getExtraChars

    public int[] getExtraChars()

### getHeight

    public int getHeight()

### getKerning

    public int getKerning()

### getSpacing

    public Spacing getSpacing()

### getWidth

    public int getWidth()

### hashCode

    public int hashCode()

### toString

    public String toString()